> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the versions for a Gen AI Endpoint

> Get the versions for a Gen AI Endpoint



## OpenAPI

````yaml /api-specs/cloud/public-api.yaml get /api/gen-ai/beta/endpoints/{endpointId}/versions
openapi: 3.0.3
info:
  title: Domino Public API
  description: Domino Public API Endpoints
  version: cloud
servers: []
security:
  - DominoApiKey: []
  - BearerAuthentication: []
tags:
  - name: AIGateway
  - name: AppInstances
  - name: AppVersions
  - name: Apps
  - name: AsyncPredictions
  - name: AuditTrail
  - name: BillingTag
  - name: BillingTagSettings
  - name: Cost
  - name: CustomMetrics
  - name: DataSource
  - name: DatasetRw
  - name: DeploymentTargets
  - name: Environments
  - name: Extensions
  - name: GenAI
  - name: HardwareTier
  - name: Jobs
  - name: ModelAPI
  - name: ModelAPIVersion
  - name: ModelDeployment
  - name: Organizations
  - name: PPM
  - name: PersonalAccessToken
  - name: ProjectSharedDatasets
  - name: ProjectTemplates
  - name: Projects
  - name: ProjectsCommits
  - name: ProjectsFiles
  - name: RegisteredModels
  - name: ServiceAccounts
  - name: Users
  - name: Workspaces
paths:
  /api/gen-ai/beta/endpoints/{endpointId}/versions:
    get:
      tags:
        - GenAI
      summary: Get the versions for a Gen AI Endpoint
      description: Get the versions for a Gen AI Endpoint
      operationId: getEndpointVersions
      parameters:
        - description: The ID of the endpoint to get versions for
          in: path
          name: endpointId
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/ModelEndpointVersionSummaryV1'
                type: array
          description: Success
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
        '500':
          $ref: '#/components/responses/500'
components:
  schemas:
    ModelEndpointVersionSummaryV1:
      description: A summary of a model endpoint version
      properties:
        createdAt:
          description: The date and time the model endpoint was created
          example: '2020-10-05T12:56:55.000Z'
          format: date-time
          type: string
        creator:
          $ref: '#/components/schemas/ModelEndpointUserV1'
        label:
          description: The label of the model endpoint
          example: v1
          type: string
        number:
          description: The version number of the model endpoint
          example: 1
          type: integer
        status:
          $ref: '#/components/schemas/ModelEndpointStatusV1'
      required:
        - number
        - status
        - creator
        - createdAt
      type: object
    ModelEndpointUserV1:
      properties:
        id:
          description: The ID of the user
          example: integration test
          type: string
        name:
          description: The name of the user
          example: Full User Name
          type: string
      required:
        - id
        - name
      type: object
    ModelEndpointStatusV1:
      enum:
        - Building
        - BuildFailed
        - Starting
        - Running
        - Stopping
        - Stopped
        - Failed
        - Unknown
      type: string
    FailureEnvelopeV1:
      properties:
        errors:
          description: Errors that caused a request to fail
          items:
            type: string
          type: array
        requestId:
          description: Id used to correlate a request with server actions.
          example: bbd78579-93c4-45ee-a983-0d5c8da6d5b1
          type: string
      required:
        - requestId
        - errors
      type: object
  responses:
    '400':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Bad Request
    '401':
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/FailureEnvelopeV1'
      description: >-
        The current user cannot perform this operation because they are not
        logged in
    '403':
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/FailureEnvelopeV1'
      description: The current user is not authorized to perform this operation
    '404':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Not Found
    '500':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Internal Server Error
  securitySchemes:
    DominoApiKey:
      in: header
      name: X-Domino-Api-Key
      type: apiKey
    BearerAuthentication:
      in: header
      name: Authorization
      type: apiKey

````